
void Nastavitve()						// Main setup screen
{
	//SetUp     :	1 - Volume
	//				2 - Squelch
	//				3 - Mode of operation (Memory / Frequency / Scen local RPT)
	//				4 - Tx CTCSS nastavitev
	//				5 - Rx CTCSS nastavitev
	//              6 - RPT Shift On/Off
	//				7 - RPT Shift Frequency

	const char meni_0[10][15] = { "   Volume   ", "  Squelch   ", "Mem/Freq/Scn", "  Tx Ctcss  ", "  Rx Ctcss  ", " RPT On/Off ", " RPT Shift  ", " Vhf/Uhf/DB ", " Memo StrUp ", " RPT Scn Set" };
	//const char meni_0[7][15] = { "  Glasnost  ", "  Squelch   ", "Mem/Frek/Sca", "  Tx Ctcss  ", "  Rx Ctcss  ", "  Rx Ctcss  ", "  Rx Ctcss  " };
	
	#define menu_rows  5					//number of rows displayed on lcd
	#define menu_max  10					//number of all menu rows

	byte MenuPoz = 0;						//Menu position
	byte Menu_first_row = 0;
	byte Menu_Cursor = 1;
	byte lupiram = true;					//loop ondition
	long int ura_1 = 0;						// timer 

	//MojGLCD.clrScr();
	ZbrisiPodrocje(2, 2, 80, 45);
	MojGLCD.drawRoundRect(2, 2, 80, 45);
	MojGLCD.update();
	// Main setup screen
	do
	{
		//for (byte k = 0; k < 5; k++){
		for (byte k = Menu_first_row; k < (Menu_first_row + menu_rows); k++){
			if (MenuPoz == k)
			{
				MojGLCD.invertText(true);
			}
			else
			{
				MojGLCD.invertText(false);
			}
			MojGLCD.print(String(meni_0[k]), CENTER, ((k - Menu_first_row) * 8) + 5);
			MojGLCD.update();
		}
		/*MojGLCD.printNumI(MenuPoz, LEFT, 0);
		MojGLCD.printNumI(Menu_first_row, CENTER, 0);
		MojGLCD.printNumI(Menu_Cursor, RIGHT, 0);*/
		//Enkoder rotation up
		if (eDir == 1)
		{
			MenuPoz++;
			eDir = 0;
			Menu_Cursor++;
			//respect boundaries of main menu
			if (MenuPoz == menu_max)
			{
				MenuPoz = menu_max - 1;
				Menu_first_row = menu_max - menu_rows;
			}
			if (Menu_Cursor == (menu_rows + 1))
			{
				Menu_Cursor = menu_rows;
			}
			if (MenuPoz > (menu_rows - 1)) //&& (Menu_Cursor >= menu_rows))
			{
				Menu_first_row++;
				if (Menu_first_row == ((menu_max - menu_rows) + 1))
				{
					Menu_first_row = menu_max - menu_rows;
				}
			}
		}
		//Enkoder rotation down
		if (eDir == 2)
		{
			MenuPoz--;
			eDir = 0;
			Menu_Cursor--;
			//respect boundaries of main menu
			if (MenuPoz == 255)
			{
				MenuPoz = 0;
				Menu_first_row = 0;
			}
			if (Menu_Cursor == 0)
			{
				Menu_Cursor = 1;
			}
			if (MenuPoz < (menu_max - menu_rows)) //&& (Menu_Cursor <= 1))
			{
				Menu_first_row--;
				if (Menu_first_row == 255)
				{
					Menu_first_row = 0;
				}
			}
		}

		//Encoder pushbutton presed?
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				ura_1 = millis();
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				if ((millis() - ura_1) > 500)
				{
					lupiram = false;
				}
				else
				{
					//Volume setup
					MojGLCD.invertText(false);
					if (MenuPoz == 0)
					{
						NastaviGlasnost();
					}
					//Squelch setup
					if (MenuPoz == 1)
					{
						NastaviSquelch();
					}
					//Mode of operation setup
					if (MenuPoz == 2)
					{
						NastaviMode();
					}
					//Tx_ctcss code setup
					if (MenuPoz == 3)
					{
						NastaviTx_ctcss();
					}
					//Tx_ctcss code setup
					if (MenuPoz == 4)
					{
						NastaviRx_ctcss();
					}
					//RPT Shift +/-/Off setup
					if (MenuPoz == 5)
					{
						SetUp_RPT_Shift();
					}
					//RPT Shift Offset setup
					if (MenuPoz == 6)
					{
						SetUp_RPT_Offset();
					}
					//Station band mode setup
					if (MenuPoz == 7)
					{
						SetUp_Band_Mode();
					}
					//Station Memory at startup
					if (MenuPoz == 8)
					{
						SetUp_Memory_StartUp();
					}
					//RPT scan setup procedure
					if (MenuPoz == 9)
					{
						SetUp_RPT_Scan();
					}
				}
			}
		}
	} while (lupiram == true);
	// Main Screen refresh
	MojGLCD.clrScr();
	MojGLCD.update();
	OsnovniZaslon();
}

void NastaviGlasnost()					// Routine for volume setup
{
	byte lupiram = true;

	ZbrisiPodrocje(28, 11, 67, 26);
	MojGLCD.drawRoundRect(30, 12, 65, 22);
	MojGLCD.print(F("Vol:"), 32, 14);


	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(vol, 55, 14);
		MojGLCD.update();
		//Encoder rotation UP
		if (eDir == 1)
		{
			vol++;
			eDir = 0;
			if (vol == 9)
			{
				vol = 8;
			}
		}
		//Encoder rotaton DOWN
		if (eDir == 2)
		{
			vol--;
			eDir = 0;
			if (vol < 0)
			{
				vol = 0;
			}
		}
	} while (lupiram == true);
	Nastavi_Vol_DRA();								// Set volume routine
}

void NastaviSquelch()								// Squelch setup routine
{
	byte lupiram = true;

	ZbrisiPodrocje(28, 19, 67, 33);
	MojGLCD.drawRoundRect(30, 20, 65, 30);
	MojGLCD.print(F("Sql:"), 32, 22);


	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(squ, 55, 22);
		MojGLCD.update();
		// Encoder rotation UP
		if (eDir == 1)
		{
			squ++;
			eDir = 0;
			if (squ == 9)
			{
				squ = 8;
			}
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			squ--;
			eDir = 0;
			if (squ < 0)
			{
				squ = 0;
			}
		}
	} while (lupiram == true);
	//Nastavi_DRA();
}

void NastaviMode()								// Mode of operaton setup 
{
	byte lupiram = true;

	ZbrisiPodrocje(9, 26, 75, 40);
	MojGLCD.drawRoundRect(9, 27, 75, 38);
	PrikaziIzbiroModa();						//Show current mode

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		//Encoder rotation UP
		if (eDir == 1)
		{
			ModeDela++;
			if (ModeDela == 4)
			{
				ModeDela = 1;
			}
			eDir = 0;
			PrikaziIzbiroModa();					//Show New mode of operation
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			ModeDela--;
			if (ModeDela == 0)
			{
				ModeDela = 3;
			}
			eDir = 0;
			PrikaziIzbiroModa();					// Show new mode of operation
		}
	} while (lupiram == true);

}



void PrikaziIzbiroModa()							// Display mode of operation on LCD
{
	switch (ModeDela)
	{
	case 1:										// Memory mode
		MojGLCD.invertText(true);
		MojGLCD.print(F("Mem"), 12, 29);
		MojGLCD.invertText(false);
		MojGLCD.print(F("Frq"), 33, 29);
		MojGLCD.print(F("Scn"), 55, 29);
		break;
	case 2:										//Frequency mode
		MojGLCD.print(F("Mem"), 12, 29);
		MojGLCD.invertText(true);
		MojGLCD.print(F("Frq"), 33, 29);
		MojGLCD.invertText(false);
		MojGLCD.print(F("Scn"), 55, 29);
		break;
	case 3:										//Scan mode
		MojGLCD.print(F("Mem"), 12, 29);
		MojGLCD.print(F("Frq"), 33, 29);
		MojGLCD.invertText(true);
		MojGLCD.print(F("Scn"), 55, 29);
		MojGLCD.invertText(false);
		break;
	}
	MojGLCD.update();
}


void NastaviTx_ctcss()								// Setup tx ctcss code
{
	byte lupiram = true;
	byte Tx_koda = tx_ctcss.toInt();

	ZbrisiPodrocje(28, 17, 67, 31);
	MojGLCD.drawRoundRect(30, 18, 65, 28);
	MojGLCD.print(F("Tx:"), 32, 20);


	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(Tx_koda, 50, 20, 2, '0');
		MojGLCD.update();
		//Encoer rotation UP
		if (eDir == 1)
		{
			Tx_koda++;
			eDir = 0;
			if (Tx_koda == 33)
			{
				Tx_koda = 32;
			}
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			Tx_koda--;
			eDir = 0;
			if (Tx_koda == 255)
			{
				Tx_koda = 0;
			}
		}
	} while (lupiram == true);
	if (Tx_koda > 9)
	{
		tx_ctcss = String(Tx_koda);
	}
	else
	{
		tx_ctcss = "0" + String(Tx_koda);
	}

}


void NastaviRx_ctcss()							// Rx ctcss code setup
{
	byte lupiram = true;
	byte Rx_koda = rx_ctcss.toInt();

	ZbrisiPodrocje(28, 26, 67, 40);
	MojGLCD.drawRoundRect(30, 27, 65, 37);
	MojGLCD.print(F("Rx:"), 32, 29);


	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(Rx_koda, 50, 29, 2, '0');
		MojGLCD.update();
		//Encoder rotation UP
		if (eDir == 1)
		{
			Rx_koda++;
			eDir = 0;
			if (Rx_koda == 33)
			{
				Rx_koda = 32;
			}
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			Rx_koda--;
			eDir = 0;
			if (Rx_koda == 255)
			{
				Rx_koda = 0;
			}
		}
	} while (lupiram == true);
	if (Rx_koda > 9)
	{
		rx_ctcss = String(Rx_koda);
	}
	else
	{
		rx_ctcss = "0" + String(Rx_koda);
	}

}


void SetUp_RPT_Shift()								// RPT Shift setup 
{
	byte lupiram = true;

	ZbrisiPodrocje(9, 16, 75, 30);
	MojGLCD.drawRoundRect(9, 17, 75, 28);
	PrikaziIzbiroShifta();						//Show current mode

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		//Encoder rotation UP
		if (eDir == 1)
		{
			RPT_Shift++;
			if (RPT_Shift == 4)
			{
				RPT_Shift = 1;
			}
			eDir = 0;
			PrikaziIzbiroShifta();					//Show New mode of operation
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			RPT_Shift--;
			if (RPT_Shift == 0)
			{
				RPT_Shift = 3;
			}
			eDir = 0;
			PrikaziIzbiroShifta();					// Show new mode of operation
		}
	} while (lupiram == true);

}



void PrikaziIzbiroShifta()							// Display mode of operation on LCD
{
	switch (RPT_Shift)
	{
	case 1:										// Memory mode
		MojGLCD.invertText(true);
		MojGLCD.print(F("Off"), 12, 19);
		MojGLCD.invertText(false);
		MojGLCD.print(F(" - "), 33, 19);
		MojGLCD.print(F(" + "), 55, 19);
		break;
	case 2:										//Frequency mode
		MojGLCD.print(F("Off"), 12, 19);
		MojGLCD.invertText(true);
		MojGLCD.print(F(" - "), 33, 19);
		MojGLCD.invertText(false);
		MojGLCD.print(F(" + "), 55, 19);
		break;
	case 3:										//Scan mode
		MojGLCD.print(F("Off"), 12, 19);
		MojGLCD.print(F(" - "), 33, 19);
		MojGLCD.invertText(true);
		MojGLCD.print(F(" + "), 55, 19);
		MojGLCD.invertText(false);
		break;
	}
	MojGLCD.update();
}


void SetUp_RPT_Offset(){

	byte lupiram = true;
	byte Digit = 4;
	long int ura_1 = millis();
	const int UpDn[] = { 1000, 100, 10, 1 };

	ZbrisiPodrocje(9, 16, 75, 31);
	MojGLCD.drawRoundRect(9, 17, 75, 29);
	MojGLCD.print(F("kHz"), 52, 19);

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				ura_1 = millis();
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				if ((millis() - ura_1) > 500)
				{
					lupiram = false;
				}
				else
				{
					Digit++;
					if (Digit == 5)
					{
						Digit = 1;
					}
				}
			}
		}
		MojGLCD.printNumI(RPT_Offset, 25, 19);
		MojGLCD.clrLine(25,27,50,27);
		MojGLCD.drawLine((20 + Digit * 6), 27, (20 + Digit * 6) + 5, 27);
		MojGLCD.update();
		//Encoder rotation UP
		if (eDir == 1)
		{
			RPT_Offset += UpDn[Digit-1];
			eDir = 0;
			if (RPT_Offset > 9999)
			{
				RPT_Offset = 9999;
			}
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			RPT_Offset -= UpDn[Digit - 1];
			eDir = 0;
			if (RPT_Offset < 0)
			{
				RPT_Offset = 0;
			}
		}
	} while (lupiram == true);

}

void SetUp_Memory_StartUp()
{
	byte lupiram = true;
	byte maxMemory = db.nRecs();
	byte SelectedMemory = Spomini;

	ZbrisiPodrocje(3, 26, 77, 40);
	MojGLCD.drawRoundRect(3, 26, 77, 40);
	ShowMemory(SelectedMemory);

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}

		//Encoder rotation UP
		if (eDir == 1)
		{
			SelectedMemory++;
			eDir = 0;
			if (SelectedMemory > maxMemory)
			{
				SelectedMemory = maxMemory;
			}
			ShowMemory(SelectedMemory);
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			SelectedMemory--;
			eDir = 0;
			if (SelectedMemory == 1)
			{
				SelectedMemory = 2;
			}
			ShowMemory(SelectedMemory);
		}
	} while (lupiram == true);
	Spomini = SelectedMemory;
	ZapisiOsnovneNastavitve();

}

void ShowMemory( byte temSpomin)
{
	String tmpRptName;

	db.read(temSpomin, DB_REC myrec);

	ZbrisiPodrocje(5, 27, 75, 39);
	
	tmpRptName = String(myrec.LongName);
	tmpRptName = tmpRptName.substring(0, 10);
	MojGLCD.printNumI(myrec.Band, 7, 29);
	MojGLCD.print(tmpRptName, 16, 29);
	MojGLCD.update();
}



void SetUp_Band_Mode()							// Setup VHF / UHF / VHF and UHF mode of operation
{
	byte lupiram = true;

	ZbrisiPodrocje(9, 16, 75, 30);
	MojGLCD.drawRoundRect(9, 17, 75, 28);
	PrikaziIzbiroBanda();						//Show current mode

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		//Encoder rotation UP
		if (eDir == 1)
		{
			BandMode++;
			if (BandMode == 4)
			{
				BandMode = 1;
			}
			eDir = 0;
			PrikaziIzbiroBanda();					//Show New mode of operation
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			BandMode--;
			if (BandMode == 0)
			{
				BandMode = 3;
			}
			eDir = 0;
			PrikaziIzbiroBanda();					// Show new mode of operation
		}
	} while (lupiram == true);
	ZapisiOsnovneNastavitve();

}

void PrikaziIzbiroBanda()							// Display mode of operation on LCD
{
	switch (BandMode)
	{
	case 1:										// Memory mode
		MojGLCD.invertText(true);
		MojGLCD.print(F("VHF"), 12, 19);
		MojGLCD.invertText(false);
		MojGLCD.print(F("UHF"), 33, 19);
		MojGLCD.print(F("DuB"), 55, 19);
		Spomini = 2;
		break;
	case 2:										//Frequency mode
		MojGLCD.print(F("VHF"), 12, 19);
		MojGLCD.invertText(true);
		MojGLCD.print(F("UHF"), 33, 19);
		MojGLCD.invertText(false);
		MojGLCD.print(F("DuB"), 55, 19);
		Spomini = 24;
		break;
	case 3:										//Scan mode
		MojGLCD.print(F("VHF"), 12, 19);
		MojGLCD.print(F("UHF"), 33, 19);
		MojGLCD.invertText(true);
		MojGLCD.print(F("DuB"), 55, 19);
		MojGLCD.invertText(false);
		break;
	}
	MojGLCD.update();
}

void ZapisiOsnovneNastavitve()					//Stores station setings to first record og repeater database
{
	db.read(1, DB_REC myrec);

	myrec.ShortName = Spomini;
	myrec.Band = BandMode;
	ScanRPT_Memo_ToString().toCharArray(myrec.LongName,14);
	
	db.write(1, DB_REC myrec);
}

String ScanRPT_Memo_ToString()
{
	String tmpLongName = "BBBBBBBBBBBB";

/*	for (byte i = 0; i < 12; i++)
	{
		MojGLCD.printNumI(i, LEFT, 2);
		MojGLCD.printNumI(ScanRPT_Memo[i], RIGHT, 2);
		MojGLCD.update();
		byte lupiram = true;
		do
		{
			if (digitalRead(ENC_Stk) == LOW)
			{
				delay(DebTime);
				if (digitalRead(ENC_Stk) == LOW)
				{
					do
					{
						//wait until pushbutton is released
					} while (digitalRead(ENC_Stk) == LOW);
					lupiram = false;
				}
			}
		} while (lupiram == true);
	}*/


	for (byte i = 0; i < 12; i++)
	{
		tmpLongName.setCharAt(i, (ScanRPT_Memo[i]+64));
	}

/*	MojGLCD.print(tmpLongName, CENTER, 2);
	MojGLCD.update();
	byte lupiram = true;
	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
	} while (lupiram == true); */
	return tmpLongName;
}


void SetUp_RPT_Scan()
{
	byte lupiram = true;
	byte maxMemory = 97;											//db.nRecs();
	byte SelectedMemory = 1;
	byte RPTMemory = ScanRPT_Memo[0];
	byte tmpSwitch = 1;											// 1 - RPT Scan memo change, 2 - RPT change
	long int tmpTime = 0;

	ZbrisiPodrocje(3, 16, 77, 40);
	MojGLCD.drawRoundRect(3, 16, 77, 40);
	ShowRPTScan(SelectedMemory, RPTMemory, tmpSwitch);

	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				tmpTime = millis();
				do
				{
					//wait until pushbutton is released
				} while (digitalRead(ENC_Stk) == LOW);
				if ((millis() - tmpTime) > 500)					// if button presed more than 0.5 sec then exit menu
				{
					lupiram = false;
					if (tmpSwitch == 2)
					{
						ScanRPT_Memo[SelectedMemory - 1] = RPTMemory;
					}
				}
				else
				{
					if (tmpSwitch == 2)
					{
						tmpSwitch = 1;
						ScanRPT_Memo[SelectedMemory - 1] = RPTMemory;
					}
					else
					{
						tmpSwitch = 2;
					}
				}
				//lupiram = false;
				
			}
		}

		//Encoder rotation UP
		if (eDir == 1)
		{
			if (tmpSwitch == 1)
			{
				SelectedMemory++;
				//if (SelectedMemory > 12)
				if (SelectedMemory > Scan_RPT_Mems)
				{
					//SelectedMemory = 12;
					SelectedMemory = Scan_RPT_Mems;
				}
				//ShowRPTScan(SelectedMemory, tmpSwitch);
			}
			if (tmpSwitch == 2)
			{
				RPTMemory++;
				if (RPTMemory > maxMemory)
				{
					RPTMemory = maxMemory;
				}
				//ShowRPTScan(RPTMemory, tmpSwitch);
			}
			eDir = 0;
			ShowRPTScan(SelectedMemory, RPTMemory, tmpSwitch);
		}
		//Encoder rotation DOWN
		if (eDir == 2)
		{
			if (tmpSwitch == 1)
			{
				SelectedMemory--;
				if (SelectedMemory == 0)
				{
					SelectedMemory = 1;
				}
				//ShowRPTScan(SelectedMemory, tmpSwitch);
			}
			if (tmpSwitch == 2)
			{
				RPTMemory--;
				if (RPTMemory == 1)
				{
					RPTMemory = 2;
				}
				//ShowRPTScan(RPTMemory, tmpSwitch);
			}
			eDir = 0;
			ShowRPTScan(SelectedMemory, RPTMemory, tmpSwitch);
		}
	} while (lupiram == true);
	//Spomini = SelectedMemory;
	ZapisiOsnovneNastavitve();

}

void ShowRPTScan(byte ScanMemo, byte RptMemo, byte MemType)
{
	String tmpRptName;
	byte tmpMem = 0;
	ZbrisiPodrocje(5, 27, 75, 39);
	if (MemType == 1)										// 1 - Scan Memory (1-12), 2 - RPT memory (2-48)
	{
		tmpMem = ScanRPT_Memo[ScanMemo - 1];
	}
	else
	{
		tmpMem = RptMemo;
	}
	if (tmpMem < 49)
	{
		db.read(tmpMem, DB_REC myrec);
		tmpRptName = String(myrec.LongName);
		tmpRptName = tmpRptName.substring(0, 10);
		MojGLCD.printNumI(myrec.Band, 7, 29);
	}
	else
	{
		if ((tmpMem > 48) && (tmpMem < 66))					// UHF Simplex
		{
			tmpRptName = "U2" + String((tmpMem + 23));
			MojGLCD.printNumI(2, 7, 29);
		}
		else													// VHF Simplex
		{
			tmpRptName = "V" + String((tmpMem - 50));
			MojGLCD.printNumI(1, 7, 29);
		}
	}

	MojGLCD.print(F("Scn Mem:"),7,19);
	MojGLCD.printNumI(ScanMemo, 57, 19, 2);
	MojGLCD.print(tmpRptName, 16, 29);
	MojGLCD.update();
}